module VlasovMethods

using OffsetArrays
using ParticleMethods
using PoissonSolvers
using PoissonSolvers: PoissonSolver, eval_field!


include("electric_field.jl")

export ElectricField, PoissonField, ExternalField
export ScaledField, ScaledPoissonField, ScaledExternalField


include("vlasov_poisson.jl")

export VPIntegratorParameters, VPIntegratorCache, integrate_vp!


include("sampling.jl")

export draw_g_accept_reject, draw_g_importance_sampling, weight_f


include("visualisation.jl")

export plot_particles, plot_distribution


include("bump_on_tail.jl")

end
